import hid

bigs = hid.Device(pid=0x0101, vid=0x35bd)

bigs.send_feature_report(bytes([0,ord('*')]))

newbytes = bigs.read(65,timeout=100)
while(len(newbytes) == 0 or newbytes[0] != ord('*')):
    newbytes = bigs.read(65,timeout=100)

sw_ver = newbytes[1:].decode('ascii')
print(sw_ver)